Skip to main content
`Ctrl`+`K`

# LMESetFromOptions

Sets `LME` options from the options database. This routine must be called before `LMESetUp()` if the user is to be allowed to configure the solver.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMESetFromOptions(LME lme)

Collective

## Input Parameter

- lme - the linear matrix equation solver context

## Note

To see all options, run your program with the `-help` option.

## See Also

LME: Linear Matrix Equation, `LMESetOptionsPrefix()`

## Level

beginner

## Location

src/lme/interface/lmeopts.c

## Examples

src/lme/tutorials/ex32.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages